Subject: Re: Change to "reject" action: compatible with fileinto/redirect?

From: "Mark E. Mallett" <[email-masked]>
Date: Tue, 3 May 2005 12:23:37 -0400

On Fri, Apr 29, 2005 at 04:57:02PM -0700, Matthew Elvey wrote:
> [email-masked] sent forth electrons to *convey (among other 
> things) an interesting point*:
> 
> >...
> >I really don't want to do anything that has the potential to make 
> >reject more
> >popular than it already is.
> 
> Ok, I think you have a valid argument here.  Why cause trouble enhancing 
> something we're trying to render as obsolete and rarely used as possible?
> Ok, so we'll leave reject as is, and refuse as is? (the latter works 
> with "reject" and "discard", but the former doesn't.)

I still favor trying to overload "refuse" onto "reject" (so that the
implementation will interpret "reject" as "refuse" where possible,
maybe with the addition of optional tags that allow the script writer
to guide the behaviour) rather than introducing a new "refuse" keyword.
Or at least talking about it more.  But I suppose that's for the
"refuse" discussion.

mm